Skip to main content
GET
List applications

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

customer_id
string<uuid>[]

A list of customer unique identifiers, with a comma separating any values.

Customer ID for the application

type
enum<string>

Type of application

Type of Application

Available options:
CREDIT,
CREDIT_CARD,
LOC,
RESTRICTED_ACCOUNT
Example:

"CREDIT"

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

sort_by
enum<string>[]

Specifies the sort order for the returned applications.

Available options:
creation_time:asc,
creation_time:desc,
last_updated_time:asc,
last_updated_time:desc,
status:asc,
status:desc,
type:asc,
type:desc
status
enum<string>

Application status values for all types of applications

Available options:
APPROVED,
CREDIT_ACCEPTED_BY_CUSTOMER,
CREDIT_APPROVED,
CREDIT_DENIED,
CREDIT_NOT_ACCEPTED_BY_CUSTOMER,
DENIED,
IN_PROGRESS,
REVIEW_INFO_REQUESTED,
REVIEW_ON_SYNCTERA,
SUBMITTED
business_id
string<uuid>[]

A list of business unique identifiers, with a comma separating any values. Returns applications that are linked to the specified Business IDs.

Business ID for the application. An application must have either a Business or a customer associated with it.

Response

List of applications.

applications
(Line of Credit application response · object | Credit card application response · object | Restricted account application details · object | Credit application details · object)[]
required

Array of applications.

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"